Subject: bug#21468: 24.5; When next-line (visual) crosses overlay with before-string="\n" point goes to column 0

From: Noam Postavsky <[email-masked]>
Date: Mon, 14 Sep 2015 09:55:57 -0400

On Mon, Sep 14, 2015 at 9:33 AM, Eli Zaretskii <[email-masked]> wrote:
> What's wrong with marking the region with some special background
> color?

I saw the fix you applied, and I certainly understand your distaste at
adding these special cases, but I don't want to start debating the
aesthetics now.

>
> What am I supposed to see?  I see nothing that I don't see without
> this.

In that buffer, after evaluating its code, when region is active you
should see 2 highlighted thin lines delimiting the region, instead of
the normal region highlight.